%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		drumstick
Summary:	C++/Qt5 wrapper around the ALSA library sequencer interface
Version:	2.4.0
Release:	%mkrel 2
Group:		System/Libraries
License:	GPLv2+
URL:		http://drumstick.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/drumstick/%{version}/%{name}-%{version}.tar.xz
Patch0:     drumstick200_backend.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	ninja
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(fluidsynth)
# to build the manpages
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	shared-mime-info

Requires:	    lib64qt5designer5

%description
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt5 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

#----------------------------------------------------------------------

%package -n	%{libname}
Summary:	C++/Qt5 wrapper around the ALSA library sequencer interface
Group:		System/Libraries
Provides: drumstick

%description -n	%{libname}
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt5 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

%files -n	%{libname}
%{_datadir}/mime/packages/%{name}.xml
%{_libdir}/libdrumstick-*.so.%{major}
%{_libdir}/libdrumstick-*.so.%{major}.*
%{_libdir}/%{name}%{major}/
%{_libdir}/qt5/plugins/designer/libdrumstick-vpiano-plugin.so
%{_datadir}/%{name}/%{name}-*.qm/
#----------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
This package contains development libraries and headers for %{name}.

%files -n	%{devname}
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/%{name}-*.pc
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/cmake/%{name}/
#----------------------------------------------------------------------

%package	examples
Summary:	Example programs for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}

%description	examples
This package contains the test/example programs for %{name}.

%files		examples
%{_bindir}/%{name}-*
%{_datadir}/applications/%{name}-*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}-*.1*
#----------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

doxygen -u Doxyfile.in
sed -i 's#%{_includedir}/QtCore#%{_includedir}/qt5/QtCore#' Doxyfile.in
sed -i 's#%{_includedir}/QtGui#%{_includedir}/qt5/QtGui#' Doxyfile.in

%build
%cmake -G Ninja
ninja
# Make also the doxygen docs for the library
ninja doxygen

%install
%ninja_install -C build


%changelog
* Fri Oct 15 2021 tex - 2.4.0-2pclos2021
- rebuild against updates

* Fri Oct 15 2021 tex - 2.4.0-1pclos2021
- new version

* Sun Nov 8 2020 yodelu - 2.0.0-1pclos2020
-  new (trunk r474)
-  rediff Patch0

* Sun Nov 8 2020 yodelu - 1.1.3-3pclos2020
-  a real 1.1.3 - fix by Patch0 
- switch to ninja build

* Mon Nov 3 2020 yodelu - 1.1.3-2pclos2020
-  a fake 1.1.3 -just bump repo to fix vmpk 

* Sat Sep 13 2019 tex - 1.1.2-1pclos2019
- 1.1.2
